package utils

import (
	"github.com/joho/godotenv"
	"log"
	"os"
	"strconv"
)

func GetEnv(key, defaultValue string) string {

	// 加载环境变量
	if err := godotenv.Load(".env"); err != nil {
		log.Fatal("Error loading .env file: ", err)
	}
	log.Printf("--------------------测试【"+key+"】", os.Getenv(key))
	if value := os.Getenv(key); value != "" {
		return value
	}
	return defaultValue
}

// GetEnvInt 获取整数类型的环境变量
func GetEnvInt(key string, defaultVal int) int {
	val := os.Getenv(key)
	if val == "" {
		return defaultVal
	}
	intVal, err := strconv.Atoi(val)
	if err != nil {
		return defaultVal
	}
	return intVal
}
